# Generated by Django 4.1.2 on 2023-02-09 15:33

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="DataRemovalJob",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("description", models.CharField(max_length=256, null=True)),
                ("matched_statements", models.IntegerField(null=True)),
                ("finished", models.BooleanField(default=False)),
                ("filter", models.JSONField()),
                ("job_id", models.CharField(max_length=256, null=True)),
                ("execute_at", models.DateTimeField()),
                ("created_at", models.DateTimeField(auto_now_add=True)),
            ],
        ),
    ]
